@import url('https://fonts.googleapis.com/css?family=Inter');

* {
	padding: 0;
	margin: 0;
	font-family: 'Inter', sans-serif;
	box-sizing: border-box;
}

body {
	width: 100%;
	height: 100vh;
	overflow: hidden;
}

header {
	z-index: 889;
	position: fixed;
	background-color: #0B1C49;
	top: 0;
	left: 0;
	width: 100%;
	padding: 15px 200px;
	display: flex;
	justify-content: space-between;
	align-items: center;
	transition: 0.2s ease;
}

header.sticky {
	background-color: #A0DDFF;
	padding: 10px 200px;
}

header .brand {
	color: white;
	font-size: 1.8em;
	font-weight: 700;
	text-transform: uppercase;
	text-decoration: none;
}

header .navMenu {
	position: relative;
}

header .navMenu a {
	color: white;
	font-size: 1em;
	text-decoration: none;
	font-weight: 500;
	margin-left: 30px;
}

header .navMenu a:hover {
	color: #624CAB;
}

header .sticky .navMenu a:hover {
	color: white;
}

section {
	padding: 100px 200px;
}

.main {
	position: relative;
	width: 100%;
	height: 100vh;
	display: flex;
	align-items: center;
	background-image: url('../images/background_image.png');
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	background-attachment: fixed;
}

.main::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.2);
	z-index: 0;
}

.main .content .main img {
	position: relative;
	z-index: 1;	
}

.main .content {
	max-width: 800px;
}

.main .content h1 {
	color: white;
	font-size: 2em;
	font-weight: 500;
}

.main .content h1 span {
	font-size: 2.8rem;
	font-weight: 600;
}

.main .content h2 {
	padding-left: 3px;
	font-size: 2em;
	color:#A8C7FF;
}

.button {
	color: white;
	background-color: #0B1C49;
	font-size: 1em;
	font-weight: 600;
	display: inline-block;
	padding: 10px 20px;
	text-transform: uppercase;
	text-decoration: none;
	letter-spacing: 1px;
	border-radius: 2px;
	margin-top: 20px;
	transition: 0.5s ease;
}

.button:hover {
	background-color: #2C5EFF;
}

.mediaIcons {
	margin-top: 30px;
}

.mediaIcons a {
	color: white;
	font-size: 25px;
	margin-right: 10px;
	padding-left: 20px;
}

.mediaIcons a:hover {
	color: #2C5EFF;
	transition: 0.3s ease;
}

.container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    max-width: 1000px;
    margin: 0 auto;
    padding: 0 40px;
    gap: 40px;
    z-index: 1;
}

.profile-image {
    width: 550px;
    max-width: 40vw;
    height: auto;
    border: #0B1C49 6px solid;
    border-radius: 10%;
    z-index: 1;
}

@media (max-width:1040px) {
	header {
		padding: 8px 16px;
	}

	header.brand {
		font-size: 1.4em;
	}

	header.sticky {
		padding: 10px 20px;
	}

	header .navMenu {
		display: none;
	}

	header .navMenu.active {
		z-index: 998;
		display: flex;
		position: fixed;
		background-color: #0B1C49;
		top: 0;
		right: 0;
		width: 70vw;
		height: 100%;
		flex-direction: column;
		align-items: center;
		justify-content: center;
		padding: 40px 10px;
		box-shadow: 0 5px 25px rgba(0, 0, 0, 0.15);
		transition: 0.3s ease;
	}

	header .navMenu a {
		color: white;
		font-size: 1em;
		font-weight: 500;
		margin: 8px 0;
		padding: 8px 16px;
		text-align: center;
		width: 100%;
		border-radius: 8px;
		transition: white 0.3s ease;
	}

	header .navMenu a:hover {
		background-color: #758ECD;
		color: white;
	}

	.menuButton {
		position: absolute;
		background-image: url('../images/menu.png');
		background-position: center;
		background-size: 24px;
		background-repeat: no-repeat;
		width: 35px;
		height: 35px;
		right: 0;
		margin: 0 20px;
		cursor: pointer;
		z-index: 999;
	}

	.menuButton.active {
		background-image: url('../images/close.png');
		background-size: 25px;
		filter: invert(1);
	}

	section {
		padding: 80px 20px;
	}

	.container {
		flex-direction: column;
		align-items: center;
		text-align: center;
	}

	.profile-image {
		width: 250px;
		margin-bottom: 20px;
	}

	.main .content h1 span {
		font-size: 2rem;
	}

	.main .content h2 {
		font-size: 1.2rem;
	}
}



